## tercpp 0.6.2%2Bsvn46

=== debian/changelog ===
tercpp (0.6.2+svn46-5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 21:36:20 +0100

tercpp (0.6.2+svn46-5) unstable; urgency=medium

  * QA upload.

  * Added d/gbp.conf to describe branch layout.
  * Updated vcs in d/control to Salsa.
  * Updated d/gbp.conf to enforce the use of pristine-tar.
  * Updated Standards-Version from 3.9.5 to 4.7.0.
  * Use wrap-and-sort -at for debian control files
  * Use secure copyright file specification URI.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 09 Jun 2024 09:52:00 +0200

tercpp (0.6.2+svn46-4) unstable; urgency=medium

  * QA upload.
  * debian/rules: Fix reproducible build by adding
    -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON to a dh_auto_configure override.
  * debian/control: Update Priority to "optional".
  * debian/control: Update to debhelper-compat 13.
  * debian/control: Set Rules-Requires-Root to "no".
  * debian/rules: Use dpkg pkg-info.mk to determine package and version.

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Mon, 14 Nov 2022 23:17:04 -0800

tercpp (0.6.2+svn46-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #864587)

 -- Marcos Talau <talau@debian.org>  Thu, 10 Nov 2022 06:30:17 -0300

tercpp (0.6.2+svn46-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename library packages for g++5 ABI transition (closes: 791299).

 -- Julien Cristau <jcristau@debian.org>  Sun, 16 Aug 2015 17:55:26 +0200

tercpp (0.6.2+svn46-1) unstable; urgency=low

  * New upstream revision
   - license has been changed to LGPL-3+ and written clearly
  * debian/copyright
   - follow the upstream
  * debian/101_fix-error.patch
   - imported to upstream
  * debian/rules
   - modify get-orig-source to download codes from the svn repository
  * debian/control
   - fix package descriptions (Closes: #736924)
  * debian/tercpp.docs
   - install an HTML documentation

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Wed, 29 Jan 2014 22:00:09 +0900

tercpp (0.6.2+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #735441)

 -- Koichi Akabe <vbkaisetsu@gmail.com>  Fri, 24 Jan 2014 21:10:18 +0900
