=== test/CMakeLists.txt ===
PROJECT(tercpp)


include_directories(BEFORE ${CMAKE_SOURCE_DIR}/src)

SET(tercpp_SRCS
   main.cpp
   ${CMAKE_SOURCE_DIR}/src/tools.cpp
   ${CMAKE_SOURCE_DIR}/src/xmlStructure.cpp
   ${CMAKE_SOURCE_DIR}/src/alignmentStruct.cpp
   ${CMAKE_SOURCE_DIR}/src/terAlignment.cpp
   ${CMAKE_SOURCE_DIR}/src/stringHasher.cpp
   ${CMAKE_SOURCE_DIR}/src/stringInfosHasher.cpp
   ${CMAKE_SOURCE_DIR}/src/infosHasher.cpp
   ${CMAKE_SOURCE_DIR}/src/hashMap.cpp
   ${CMAKE_SOURCE_DIR}/src/tercalc.cpp
   ${CMAKE_SOURCE_DIR}/src/hashMapInfos.cpp
   ${CMAKE_SOURCE_DIR}/src/hashMapStringInfos.cpp
   ${CMAKE_SOURCE_DIR}/src/terShift.cpp
   ${CMAKE_SOURCE_DIR}/src/segmentStructure.cpp
   ${CMAKE_SOURCE_DIR}/src/tinystr.cpp  
   ${CMAKE_SOURCE_DIR}/src/tinyxml.cpp  
   ${CMAKE_SOURCE_DIR}/src/tinyxmlerror.cpp  
   ${CMAKE_SOURCE_DIR}/src/tinyxmlparser.cpp
   ${CMAKE_SOURCE_DIR}/src/sgmlDocument.cpp
   ${CMAKE_SOURCE_DIR}/src/multiTxtDocument.cpp
   ${CMAKE_SOURCE_DIR}/src/documentStructure.cpp
   ${CMAKE_SOURCE_DIR}/src/multiEvaluation.cpp
)

add_executable(tercpp.0.6.2 ${tercpp_SRCS})

#target_link_libraries(tercpp hashMapStringInfos tercalc hashMapInfos)
# target_link_libraries(tercpp tercalc xmlStructure documentStructure multiEvaluation)

install(TARGETS tercpp.0.6.2 DESTINATION bin)
