=== debian/control ===
Source: tercpp
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libboost-dev,
               libtinyxml-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Section: text
Homepage: http://sourceforge.net/projects/tercpp/
Vcs-Browser: https://salsa.debian.org/debian/tercpp
Vcs-Git: https://salsa.debian.org/debian/tercpp.git

Package: libtercpp-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtercpp0v5 (= ${binary:Version}),
         libtinyxml-dev,
         ${misc:Depends},
Description: Translation Error Rate scoring tool - development files
 TERCpp is a tool (implemented in C++) for scoring machine translation
 performance. It uses the Translation Error Rate (TER) metric to measure
 edit distances between translations and references.
 .
 This package contains development files for TERCpp.

Package: libtercpp0v5
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Conflicts: libtercpp0,
Replaces: libtercpp0,
Description: Translation Error Rate scoring tool - shared library
 TERCpp is a tool (implemented in C++) for scoring machine translation
 performance. It uses the Translation Error Rate (TER) metric to measure
 edit distances between translations and references.
 .
 This package contains the library for TERCpp.

Package: tercpp
Architecture: any
Depends: libtercpp0v5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Translation Error Rate scoring tool - binary
 TERCpp is a tool (implemented in C++) for scoring machine translation
 performance. It uses the Translation Error Rate (TER) metric to measure
 edit distances between translations and references.
 .
 This package contains the tercpp binary.
